#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 25. Graphical Environment Libraries

- Prev

  FLTK-1.4.5

- Next

  gdk-pixbuf-2.44.6

- Up
- Home

# Freeglut-3.8.0

## Introduction to Freeglut

Freeglut is intended to be a 100% compatible, completely opensourced clone of the GLUT library. GLUT is a window system independent toolkit for writing OpenGL programs, implementing a simple windowing API, which makes learning about and exploring OpenGL programming very easy.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://downloads.sourceforge.net/freeglut/freeglut-3.8.0.tar.gz

- Download MD5 sum: ca8361b5b6a64b07795b41bd24f6a23e

- Download size: 528 KB

- Estimated disk space required: 6.5 MB

- Estimated build time: less than 0.1 SBU

### Freeglut Dependencies

#### Required

CMake-4.3.2 and Mesa-26.0.1

#### Recommended

GLU-9.0.3

## Installation of Freeglut

Install Freeglut by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr        \
          -D CMAKE_BUILD_TYPE=Release         \
          -D FREEGLUT_BUILD_DEMOS=OFF         \
          -D FREEGLUT_BUILD_STATIC_LIBS=OFF   \
          -W no-dev .. &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`-D FREEGLUT_BUILD_DEMOS=OFF`: Disable building optional demo programs. Note that if you choose to build them, their installation must be done manually. The demo programs are limited and installation is not recommended.

`-D FREEGLUT_BUILD_STATIC_LIBS=OFF`: Do not build the static library.

`-D FREEGLUT_GLES=ON`: This option makes FreeGLUT use OpenGL ES instead of normal OpenGL. Use this if you have not installed GLU-9.0.3.

## Contents

Installed Programs: None
Installed Library: libglut.so
Installed Directories: /usr/lib/cmake/FreeGLUT

### Short Descriptions

`libglut.so` | contains functions that implement the OpenGL Utility Toolkit

- Prev

  FLTK-1.4.5

- Next

  gdk-pixbuf-2.44.6

- Up
- Home